Skip to main content
GET
Lists all roles for the caller's organization.

Authorizations

Authorization
string
header
required

Application (M2M) OAuth2 access token (client credentials).

Headers

X-Organization-ID
string<uuid>

ID of the organization to scope this operation to. When omitted, roles for the caller's own organization are returned. Must be a valid non-empty UUID. Present but empty or malformed values return 400.

Query Parameters

limit
default:25

Maximum number of results to return.

paginationToken
string

Opaque pagination token from a previous response.

Response

Returns the paginated list of roles.

A paginated response containing a page of results and navigation tokens.

data
object[]
required

The items in the current page.

nextPaginationToken
null | string

A token that can be sent in the pagination_token query parameter to get the next page of results, or null if there is no next page.

prevPaginationToken
null | string

A token that can be sent in the pagination_token query parameter to get the previous page of results, or null if there is no previous page.